Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface GotoTree

All Superinterfaces:
  StatementTree, Tree

All Known Subinterfaces:
  BreakTree, ContinueTree

    public interface GotoTree
    extends StatementTree

A tree node for a statement that jumps to a target. Note that ECMAScript does not support a goto statement. But, this Tree type serves as a super interface for `BreakTree` and `ContinueTree`.

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getLabel()` Label associated with this goto statement.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getLabel

    String getLabel()

Label associated with this goto statement. This is null if there is no label associated with this goto statement.

Returns:
  label associated with this goto statement.